Loading...
Searching...
No Matches
ARC_Input Struct Reference

`#include <input.h>`

## Data Fields

ARC_Keyboard * | keyboard
ARC_Mouse * | mouse
SDL_Event * | event

## Detailed Description

Definition at line 8 of file input.h.

## Field Documentation

## event

SDL_Event* ARC_Input::event

Definition at line 12 of file input.h.

Referenced by ARC_Input_CreateWithEngineData(), ARC_Input_Destroy(), ARC_Input_Update(), ARC_Keyboard_CreateWithInput(), and ARC_Mouse_CreateWithInput().

## keyboard

ARC_Keyboard* ARC_Input::keyboard

Definition at line 9 of file input.h.

Referenced by ARC_Input_Destroy(), ARC_Input_GetKeyboard(), and ARC_Input_Update().

## mouse

ARC_Mouse* ARC_Input::mouse

Definition at line 10 of file input.h.

Referenced by ARC_Input_Destroy(), ARC_Input_GetMouse(), and ARC_Input_Update().

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/packages/input/sdl/input.h